Skip to main content
GET
/
v1
/
tasks
/
status-counts
Get task status counts
curl --request GET \
  --url https://openapi.enginy.ai/v1/tasks/status-counts \
  --header 'x-api-key: <api-key>'
{
  "status": "success",
  "message": "<string>",
  "data": {
    "due": 123,
    "skipped": 123,
    "upcoming": 123
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

ownerId
string
assignedId
integer
crmId
string
campaignIds
integer[] | null
companyIds
integer[] | null
taskIds
integer[] | null
taskType
enum<string>
Available options:
email,
linkedin,
call,
other
dateFrom
string
dateTo
string
statusEndOfDay
string
sortBy
enum<string>
Available options:
createdAt,
completedAt,
dueDate
sortOrder
enum<string>
Available options:
asc,
desc

Response

200 - application/json

Task status counts retrieved successfully

status
enum<string>
required
Available options:
success
message
string
required
data
object
required